Subject: Re: What's cooking in git.git (Feb 2009, #05; Mon, 16)

From: Thomas Rast <[email-masked]>
Date: Tue, 17 Feb 2009 12:04:09 +0100

Jakub Narebski wrote:
> > * tr/gcov (Sun Feb 15 23:25:45 2009 +0100) 8 commits
> >  - Test git-patch-id
> >  - Test rev-list --parents/--children
> >  - Test log --decorate
> >  - Test fsck a bit harder
> >  - Test log --graph
> >  - Test diff --dirstat functionality
> >  - Test that diff can read from stdin
> >  - Support coverage testing with GCC/gcov
> 
> Hmmmm... wouldn't it be nice to have more tests?

I was hoping the coverage patch would give people an incentive to
write some ;-)

Seriously, the list is huge.  Running the tests in my private
next-and-then-some branch[*], summarizing by function counts and
filtering for >2 untested functions shows:

      4 builtin-apply.c
      4 builtin-blame.c
      6 builtin-fetch-pack.c
      3 builtin-fsck.c
      6 builtin-log.c
      4 builtin-pack-objects.c
      4 builtin-rev-parse.c
      6 builtin-show-branch.c
      3 builtin-update-index.c
      4 builtin-upload-archive.c
      3 config.c
      7 connect.c
      8 date.c
      4 diffcore-order.c
      3 fsck.c
      8 help.c
      5 index-pack.c
      6 merge-file.c
      4 mktree.c
      4 object.c
      4 pager.c
      3 refs.c
      3 shell.c

plus some matches in HTTP, IMAP etc. code that I'll just ignore for
now.

Some of it is fairly easy stuff; for example, rev-parse
--{all,branches,tags,remotes} is completely untested according to the
coverage report.  I might add more tests as my time allows, but it is
also limited.

[*] git://repo.or.cz/git/trast.git next

-- 
Thomas Rast
trast@{inf,student}.ethz.ch